<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruisePreAvail StructType
 * @subpackage Structs
 */
class CruisePreAvail extends AbstractStructBase
{
    /**
     * The CruisePreAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruisePreAvail
     */
    public $CruisePreAvailRQ;
    /**
     * Constructor method for CruisePreAvail
     * @uses CruisePreAvail::setCruisePreAvailRQ()
     * @param \StructType\JP_CruisePreAvail $cruisePreAvailRQ
     */
    public function __construct(\StructType\JP_CruisePreAvail $cruisePreAvailRQ = null)
    {
        $this
            ->setCruisePreAvailRQ($cruisePreAvailRQ);
    }
    /**
     * Get CruisePreAvailRQ value
     * @return \StructType\JP_CruisePreAvail|null
     */
    public function getCruisePreAvailRQ()
    {
        return $this->CruisePreAvailRQ;
    }
    /**
     * Set CruisePreAvailRQ value
     * @param \StructType\JP_CruisePreAvail $cruisePreAvailRQ
     * @return \StructType\CruisePreAvail
     */
    public function setCruisePreAvailRQ(\StructType\JP_CruisePreAvail $cruisePreAvailRQ = null)
    {
        $this->CruisePreAvailRQ = $cruisePreAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruisePreAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
